Loading...
Searching...
No Matches
Gudhi::coxeter_triangulation::Simplex_comparator< Permutahedral_representation_ > Class Template Reference
Coxeter triangulation

A comparator class for Permutahedral_representation. The comparison is in lexicographic order first on vertices and then on ordered partitions with sorted parts. The lexicographic order forces that any face is larger than a coface. More...

`#include <include/gudhi/Permutahedral_representation/Simplex_comparator.h>`

## Public Member Functions

bool | operator() (const Permutahedral_representation_ &lhs, const Permutahedral_representation_ &rhs) const
| Comparison between two permutahedral representations. Both permutahedral representations need to be valid and the vertices of both permutahedral representations need to be of the same size.

## Detailed Description

template<class Permutahedral_representation_>
class Gudhi::coxeter_triangulation::Simplex_comparator< Permutahedral_representation_ >

A comparator class for Permutahedral_representation. The comparison is in lexicographic order first on vertices and then on ordered partitions with sorted parts. The lexicographic order forces that any face is larger than a coface.

Template Parameters

  Permutahdral_representation_ | Needs to be Permutahedral_representation<Vertex_, Ordered_set_partition_>

The documentation for this class was generated from the following file:

- include/gudhi/Permutahedral_representation/Simplex_comparator.h